package com.theitbulls.cameraex;

import android.app.ProgressDialog;
import android.media.MediaRecorder;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.theitbulls.cameraex.camera2.ImageUtils;

import java.io.File;
import java.io.IOException;

public class CaptureAudioActivity extends AppCompatActivity {
    private MediaRecorder audioRecorder;
    private File outputFile;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.captureaudio_activity);
    }

    public void startAudioRecord(View view) throws IOException {
        audioRecorder = new MediaRecorder();

        audioRecorder.setAudioSource(MediaRecorder.AudioSource.MIC);
        audioRecorder.setOutputFormat(MediaRecorder.OutputFormat.THREE_GPP);
        audioRecorder.setAudioEncoder(MediaRecorder.OutputFormat.AMR_NB);

        outputFile = ImageUtils.getOutputMediaFile(ImageUtils.FileType.MP3);
        audioRecorder.setOutputFile(outputFile.getAbsolutePath());

        audioRecorder.prepare();
        audioRecorder.start();
    }

    public void stopAudioRecord(View view) {
        if(audioRecorder == null) {
            Toast.makeText(this, "Audio Recorder is null.", Toast.LENGTH_SHORT).show();
            return;
        }

        final ProgressDialog progressBar = new ProgressDialog(this);
        progressBar.setMessage("Saving audio, please wait...");
        progressBar.show();

        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        audioRecorder.stop();
                        audioRecorder.release();

                        progressBar.dismiss();
                        Toast.makeText(CaptureAudioActivity.this, "File saved at: " + outputFile, Toast.LENGTH_SHORT).show();
                    }
                });
            }
        }, 1000);
    }
}
