package com.theitbulls.cameraex;

import android.app.ProgressDialog;
import android.os.Bundle;
import android.view.TextureView;
import android.view.View;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.theitbulls.cameraex.camera2.Camera2Image;
import com.theitbulls.cameraex.camera2.OnImageCapture;

import java.io.File;

public class CaptureImageActivity extends AppCompatActivity {
    private TextureView textureView;
    private Camera2Image camera2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.camera_activity);

        textureView = findViewById(R.id.textureView);
        camera2 = new Camera2Image(this, textureView);
    }

    public void capture(View view) {
        final ProgressDialog progressBar = new ProgressDialog(this);
        progressBar.setMessage("Capturing please wait...");
        progressBar.show();
        camera2.captureImage(new OnImageCapture() {
            @Override
            public void save(File fileLocation) {
                progressBar.dismiss();

                if(fileLocation == null) {
                    Toast.makeText(CaptureImageActivity.this, "File saved error", Toast.LENGTH_SHORT).show();
                    return;
                }
                Toast.makeText(CaptureImageActivity.this, "File saved at: " + fileLocation.getAbsolutePath(), Toast.LENGTH_SHORT).show();
            }
        });
    }


    @Override
    protected void onPause() {
        super.onPause();
        if (camera2.cameraDevice != null) {
            camera2.cameraDevice.close();
        }
    }

}
