package com.theitbulls.cameraex;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.theitbulls.cameraex.camera2.AutoFitTextureView;
import com.theitbulls.cameraex.camera2.Camera2Video;
import com.theitbulls.cameraex.camera2.OnVideoCapture;

public class CaptureVideoActivity extends AppCompatActivity {
    private AutoFitTextureView mTextureView;
    private Camera2Video camera2Video;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.videorecord_activity);

        mTextureView = findViewById(R.id.textureView);
        camera2Video = new Camera2Video(this, mTextureView);
    }

    @Override
    protected void onPause() {
        super.onPause();

        if (camera2Video.mIsRecordingVideo) {
            stopRecording(null);
        }
        camera2Video.closeCamera();
        camera2Video.stopBackgroundThread();
    }

    @Override
    protected void onResume() {
        super.onResume();
        camera2Video.startBackgroundThread();
    }

    public void stopRecording(View view) {
        findViewById(R.id.btnStart).setVisibility(View.VISIBLE);
        findViewById(R.id.btnStop).setVisibility(View.GONE);

        // if no video is recording
        if (!camera2Video.mIsRecordingVideo) {
            return;
        }

        camera2Video.stopRecordingVideo(new OnVideoCapture() {
            @Override
            public void save(String fileLocation) {
                Toast.makeText(CaptureVideoActivity.this, "Video saved: " + fileLocation, Toast.LENGTH_SHORT).show();
            }
        });
    }

    public void startRecording(View view) {
        camera2Video.startRecordingVideo();

        findViewById(R.id.btnStart).setVisibility(View.GONE);
        findViewById(R.id.btnStop).setVisibility(View.VISIBLE);
    }
}
