package com.theitbulls.cameraex;

import android.Manifest;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.tbruyelle.rxpermissions2.RxPermissions;

import io.reactivex.functions.Consumer;

public class MainActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);
    }

    @Override
    protected void onResume() {
        super.onResume();

        new RxPermissions(this)
                .request(Manifest.permission.CAMERA, Manifest.permission.WRITE_EXTERNAL_STORAGE, Manifest.permission.RECORD_AUDIO)
                .subscribe(new Consumer<Boolean>() {
                    @Override
                    public void accept(Boolean granted) throws Exception {
                        if (granted) {
                            Toast.makeText(MainActivity.this, "Camera permission granted.", Toast.LENGTH_SHORT).show();
                        } else {
                            Toast.makeText(MainActivity.this, "Camera permission not granted.", Toast.LENGTH_SHORT).show();
                        }
                    }
                });

    }

    public void captureImage(View view) {
        Intent intent = new Intent(this, CaptureImageActivity.class);
        startActivity(intent);
    }

    public void captureVideo(View view) {
        Intent intent = new Intent(this, CaptureVideoActivity.class);
        startActivity(intent);
    }

    public void audioRecord(View view) {
        Intent intent = new Intent(this, CaptureAudioActivity.class);
        startActivity(intent);
    }
}
